/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.kernel.dao.db;

import aQute.bnd.annotation.ProviderType;

import java.util.Set;

import javax.sql.DataSource;

/**
 * @author Brian Wing Shun Chan
 */
@ProviderType
public interface DBManager {

	public DB getDB();

	public DB getDB(DBType dbType, DataSource dataSource);

	public int getDBInMaxParameters();

	public int getDBMaxParameters();

	public DBType getDBType();

	public DBType getDBType(Object dialect);

	public Set<DBType> getDBTypes();

	public void setDB(DB db);

}